Bug Hunting Session
Bug 125869 - LibreOffice UI freezes (shows not responding) while exporting a pdf
Summary: LibreOffice UI freezes (shows not responding) while exporting a pdf
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.2 target:6.3.1
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-06-11 20:56 UTC by Telesto
Modified: 2019-08-23 16:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (671.06 KB, application/vnd.oasis.opendocument.text)
2019-06-11 20:56 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-11 20:56:06 UTC
Description:
LibreOffice UI freezes (shows not responding) while exporting a pdf

Steps to Reproduce:
1. Open the attached file
2. Click Export PDF in toolbar -> Enter a filename & press OK
3. Go surfing for minute.. switch back to LibreOffice.. click somewhere.. 

Actual Results:
at some point it will show not responding.. progress bar stops working.. Everything back to normal after the export finishes

Expected Results:
UI shouldn't appear to be frozen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 95462a02a3aee1e3e7f9aa8fc50ba25fee3fa592
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-03_07:09:38
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2019-06-11 20:56:29 UTC
Created attachment 152116 [details]
Example file
Comment 2 Roman Kuznetsov 2019-06-12 15:55:14 UTC
confirm in

Version: 6.3.0.0.alpha1+ (x64)
Build ID: 63b39fe87644587210214198fb67d6b3fb3343c5
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-27_03:06:43
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

but not in 6.2.4 -> regression

and I see else one problem -> export became many slowly than in LO 6.0

Telesto can you test time for export between 6.3 and 6.0?
Comment 3 Telesto 2019-06-12 19:56:19 UTC
(In reply to Roman Kuznetsov from comment #2)
> confirm in
> 
> Version: 6.3.0.0.alpha1+ (x64)
> Build ID: 63b39fe87644587210214198fb67d6b3fb3343c5
> CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-27_03:06:43
> Locale: ru-RU (ru_RU); UI-Language: en-US
> Calc: threaded
> 
> but not in 6.2.4 -> regression
> 
> and I see else one problem -> export became many slowly than in LO 6.0
> 
> Telesto can you test time for export between 6.3 and 6.0?

with 6.0.4.2 -> 30 seconds
with 6.4 -> 5 minutes
Comment 4 Roman Kuznetsov 2019-06-12 20:15:38 UTC
(In reply to Telesto from comment #3)
> (In reply to Roman Kuznetsov from comment #2)
>  
> > Telesto can you test time for export between 6.3 and 6.0?
> 
> with 6.0.4.2 -> 30 seconds
> with 6.4 -> 5 minutes

Will you fill another bug?
Comment 5 artur 2019-06-13 16:24:23 UTC
Regression introduced by:

https://gerrit.libreoffice.org/plugins/gitiles/core/+/848058625c7fad21e2469c95c2a2078678925a5a%5E!/


author	Noel Grandin <noel.grandin@collabora.co.uk>	Fri May 24 11:49:44 2019 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	Fri May 24 14:20:24 2019 +0200
tree	8836a8cd5cb470529bc5609df545da3c138caa25
parent	dfbce2a556972f552d194d2358c170077915d776

use vcl::Timer in StatusIndicatorFactory

Bisected with: bibisect-linux64-6.3
Comment 6 Roman Kuznetsov 2019-06-13 16:31:55 UTC
Added CC: to Noel Grandin
Comment 7 Commit Notification 2019-08-20 09:14:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d3b03032b7140a98946bfe8fc475a322e6eb6f9a%5E%21

tdf#125869 LibreOffice UI freezes (shows not responding) while exporting a pdf

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-08-20 11:43:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/ff3cfee4ebfcb412f54f17ffccc95512fdc15c8e%5E%21

tdf#125869 LibreOffice UI freezes (shows not responding) while exporting a pdf

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-08-23 16:05:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/ee5d2fe74a189d8986a9ea1441c0841347a2d3bc%5E%21

tdf#125869 LibreOffice UI freezes (shows not responding) while exporting a pdf

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.